# TdApi.PushMessageContentInvoice (tdlight API 4.0.311 API)
declaration: module: tdlight.api, package: it.tdlight.jni, class: TdApi, class: PushMessageContentInvoice

Module tdlight.api
Package it.tdlight.jni

# Class TdApi.PushMessageContentInvoice

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.PushMessageContent
it.tdlight.jni.TdApi.PushMessageContentInvoice

Enclosing class:
  TdApi

public static final class TdApi.PushMessageContentInvoice extends TdApi.PushMessageContent
A message with an invoice from a bot.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
`boolean`
`isPinned`
True, if the message is a pinned message with the specified content.
`String`
`price`
Product price.

## Constructor Summary

Constructors
Constructor
Description
`PushMessageContentInvoice()`
A message with an invoice from a bot.
`PushMessageContentInvoice(DataInput input)`
A message with an invoice from a bot.
`PushMessageContentInvoice(String price, boolean isPinned)`
A message with an invoice from a bot.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### price

public String price
Product price.

### isPinned

public boolean isPinned
True, if the message is a pinned message with the specified content.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### PushMessageContentInvoice

public PushMessageContentInvoice()
A message with an invoice from a bot.

### PushMessageContentInvoice

public PushMessageContentInvoice(String price, boolean isPinned)
A message with an invoice from a bot.

Parameters:
  `price` - String Product price.
  `isPinned` - boolean True, if the message is a pinned message with the specified content.

### PushMessageContentInvoice

public PushMessageContentInvoice(DataInput input) throws IOException
A message with an invoice from a bot.

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`